# Release Notes

## v0.0.4 (2025-01-08)
* Support for listing imports
* Constellation1 (CWS) vendor specific listing imports
* Typesense integration
* Added Open House model and migration
* Additional RESO Enums, Enum support for Associative Arrays
* Structure for storing JSON metadata/origdata in place for Listings, Companies, CompanyLocations, Users
* Structure for Typesense searchable Ion3 classes
* Various helper functions via Ion3 Utility
* Default roles/permissions
* Queuing system setup
* App\Models\User file now replaced on Ion3 install
* Filament Shield and ActivityLog packages now required
* Self-provided image sizing

## v0.0.3 (2024-05-04)
* Major refactor of listing/agent/office fields to match RESO data dictionary
* Refactored "Branches" to "Company Locations"
* Refactored "Listings Custom" to "Listings Extra Search Fields"
* Added first-party Company model

## v0.0.2 (2024-04-15)
* Added user seeding

## v0.0.1 (2024-01-10)

Initial commit.
* Basic models available for Agents, Offices, Listings and related meta and media classes.
* Database seeders in place.
* Ion3UserTrait in place.
