<?php

return [

	"constellation1" => [
		"client_id" => env('CWS_CLIENT_ID'),
		"client_secret" => env('CWS_CLIENT_SECRET'),
		"auth_base_url" => env('CWS_AUTH_BASE_URL'),
		"search_base_url" => env('CWS_SEARCH_BASE_URL'),
		"timezones" => [
			'StellarMLS' => [
				'Puerto Rico' => 'America/Puerto_Rico',
				'Pinellas Suncoast' => 'America/New_York',
				'East Polk' => 'America/New_York',
				'Lakeland' => 'America/New_York',
				'Orlando Regional' => 'America/New_York',
				'Sarasota - Manatee' => 'America/New_York',
				'Tampa' => 'America/New_York',
				'West Pasco' => 'America/New_York',
			],
			'NorthCarolinaRegional' => 'America/New_York',
			'Greenwich' => 'America/New_York',
			'BerkshireCounty' => 'America/New_York',
			'MLSPIN' => 'America/New_York',
			'ColumbiaGreene' => 'America/New_York',
			'OneKey' => [
				'HGAR' => 'America/New_York'
			],
			'StateWideMLS' => [
				'RhodeIslandStateWideMLS' => 'America/New_York'
			],
			'PalmBeachFL' => 'America/New_York',
			'MartinCounty' => 'America/New_York',
			'NewJerseyMLS' => 'America/New_York',
			'EELI' => 'America/New_York',
			'GardenStateMLS' => 'America/New_York',
			'SEF' => [
				'MiamiAssociationofREALTORS' => 'America/New_York',
			],
			'Beaches' => [
				'BeachesMLSFlexmls' => 'America/New_York',
				'BeachesMLSMatrix' => 'America/New_York',
			],
		],
	],

];
