<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class ListingExtraSearchFieldsFactory extends Factory
{
    protected $model = 'App\Ion3\Models\ListingExtraSearchFields';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'remarks' => $this->faker->paragraphs(3, true),
            'association_fee' => $this->faker->randomElement([0, $this->faker->randomNumber(2) * 100]),
        ];
    }
}
