<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('listings_extra_search_fields', function (Blueprint $table) {
	        $table->longText('remarks')->nullable()->change();
	        $table->integer('association_fee')->default(0)->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('listings_extra_search_fields', function (Blueprint $table) {
	        //$table->longText( 'remarks' )->nullable(false)->change();
	        $table->integer('association_fee')->default(0)->change();
        });
    }
};