<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 */
	public function up(): void
	{
		Schema::table('listings_media', function (Blueprint $table) {
			$table->index( [ 'ion_source', 'originating_system_name', 'media_key' ], 'media_key');
		});
	}

	/**
	 * Reverse the migrations.
	 */
	public function down(): void
	{
		Schema::table('listings_media', function (Blueprint $table) {
			$table->dropIndex( 'media_key');
		});
	}
};
