<?php

namespace Neutrino\Ion3Core\Database\Seeders;

use App\Ion3\Models\Company;
use Illuminate\Database\Seeder;


class DatabaseRequiredSeeder extends Seeder
{
    /**
     * Seed the application's database - only the required parts.
     */
    public function run(): void
    {
        // Generate required records
        // Setup permissions
        $this->call(RolesAndPermissionsSeeder::class);

        // Setup base records
        Company::factory()->create();
        $this->call(UserSeeder::class);
    }
}
