<?php

namespace Neutrino\Ion3Core\Enums;

enum Ion3TransformerNamespace: string
{
	case CLIENT = 'App\\Transformers';
	case CORE = 'Neutrino\\Ion3Core\\Transformers';

	public static function asArray(bool $associative = false): array
	{
		if ($associative) {
			return array_combine(array_column(self::cases(), 'name'), array_column(self::cases(), 'value'));
		}
		return array_column(self::cases(), 'value');
	}

	public function getLabel(): ?string
	{
		return $this->value;
	}

}
