<?php

namespace Neutrino\Ion3Core\Helpers;

use DateTime;
use DateTimeZone;
use Neutrino\Ion3Core\Services\CWSClient;
use Illuminate\Support\Facades\Log;

class Time
{
	public static function convertFromUTC0($timestamp, $tz = 'America/New_York', $format = null) {
		$datetime = new DateTime($timestamp, new DateTimeZone('UTC'));
		$datetime->setTimezone(new DateTimeZone($tz));
		return $datetime->format($format ?? 'Y-m-d H:i:s');
	}

	public static function convertToUTC0($timestamp, $tz = 'America/New_York', $format = null) {
		$datetime = new DateTime($timestamp, new DateTimeZone($tz));
		$datetime->setTimezone(new DateTimeZone('UTC'));
		return $datetime->format($format ?? 'Y-m-d\TH:i:s\Z');
	}

}