<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Listing Service Sources
    |--------------------------------------------------------------------------
    |
    | These are typically MLSes, but could also include any kind of third party
    | data source. Combined with the source IDs, these provide unique references
    | for agents, offices, and listings coming in from various data services.
    |
    | Array of free-form text. "Manual" is always included as a default.
    |
    */
    'sources' => [
        'MLSName1' => "MLS #1",
        'MLSName2' => "MLS #2",
        'DASH' => "DASH Syndication",
    ],

    'agent_website_domain' => 'ion3.io',

    'image_provider' => env('ION3_IMAGE_PROVIDER', 'gd'), // gd, cloudinary
    'cloudinary_url' => env('ION3_CLOUDINARY_URL'),

    'map_default' => [
        'lat' => 47.6061,
        'lng' => -122.3328
    ],

];
