<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('company_location_office_sources', function (Blueprint $table) {
            $table->id();
            $table->foreignId('company_location_id')->constrained('company_locations');
            $table->string('source');
            $table->string('source_id');
            $table->foreignId('updated_by')->nullable();
            $table->timestampsTz();

            $table->index('company_location_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('company_location_office_sources');
    }
};
