<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 */
	public function up(): void
	{
		Schema::table('listings', function (Blueprint $table) {
			$table->date('close_date')->nullable()->default(null)->change();
			$table->date('listing_contract_date')->nullable()->default(null)->change();
			$table->date('ion_days_on_market_date')->nullable()->default(null)->change();
			$table->dateTimeTz('modification_timestamp')->nullable()->default(null)->change();
		});
	}

	/**
	 * Reverse the migrations.
	 */
	public function down(): void
	{
		Schema::table('listings', function (Blueprint $table) {
			//
		});
	}
};
