<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 */
	public function up(): void
	{
		Schema::table('listings', function (Blueprint $table) {
			$table->string('mls_area_minor', 110)->change();
		});
	}

	/**
	 * Reverse the migrations.
	 */
	public function down(): void
	{
		Schema::table('listings', function (Blueprint $table) {
			$table->string('mls_area_minor', 50)->change();
		});
	}
};
